Difference between revisions of "Qt 5.4.0 Known Issues"

From Qt Wiki
Jump to: navigation, search
Line 1: Line 1:
[[Category:Release::Known Issues]]<br />h1. Known Issues - Qt 5.4.0
 
  
== All platforms ==
 
 
* Check that your system meets &quot;Qt's requirements&amp;quot;:http://doc-snapshot.qt.io/qt5-5.4/gettingstarted.html#platform-requirements
 
* All open issues can be found from Jira: https://bugreports.qt.io
 
 
* Installation over the existing installation not supported
 
** QTIFW-278: SDK 5.1.0 rc1 : installation over existing installation fails
 
 
* Examples in Qt Creator Welcome mode is empty
 
** Workaround: Start Qt Creator with clean settings (e.g. for temporary testing: '-settingspath /some/temp/dir'
 
 
* Qt Creator shows %{Qt:Version} in kit name / Qt version name
 
** You still use Qt Creator 3.2.2 (because you are using the online installer). Qt Creator 3.3 (that knows the placeholder) will be released together with Qt 5.4.0.
 
 
* qtmultimedia may not compile when building from source with <s>no-opengl. If this happens, apply the patch from https://codereview.qt.io/#/c/101817
 
<br />h2. Linux
 
<br />* QTBUG-39897: Packaged libQtWebKit fails to load: conflict between (system) libxml2 and shipped libicu<br />'''''' This can show up e.g. in crashes when trying to open Qt Creator's Help, Widget Designer, or Qt Assistant.
 
<br />* QTBUG-43205: The build on Linux is broken if you don't have dbus header files installed or Qt cannot find them (it needs pkg-config).
 
<br />h2. Windows
 
<br />* if you want to install a Qt for Visual Studio be sure you have the related Visual Studio installed<br />* Qt Creator does not support Windows XP.<br />'''''' Workaround: Disable 'Welcome', 'QmlProfiler', QmlDesigner' plugins
 
<br />* Qt Creator does require a working DirectX/DirectDraw backend<br />'''''' Enable Accelerated 3D support if you run Windows in e.g. VirtualBox, VMWare
 
<br />* QTBUG-32864: WMF plugin fails to load on Windows Vista (no service found for</s> &quot;org.qt-project.qt.mediaplayer&amp;quot;)
 
** Workaround: If you target Windows Vista, rebuild the plugin (qtmultimedia/src/plugins/wmf) using the Windows Vista SDK.
 
 
* The Just-in-time compiler is disabled in QtQml - this will be fixed in Qt 5.4.1.
 
 
== WinRT / Windows Phone ==
 
 
* Please install Visual Studio 2013 Express Update 3 (or 4) for '''Windows''' (Professional/Ultimate versions are also supported, as long as the Windows Store App components are installed)
 
* Note that not all mobile related modules are supported (e.g. bluetooth, etc)
 
* QTBUG-41753: When deploying to Windows Phone in release mode, VS fails to find the Qt plugins. Two workarounds (one permanent and one per-project) are detailed on the bug report.
 
 
== Mac OS X ==
 
 
* Qt binary packages: qmake may stop with an error claiming the macosx10.8 SDK can't be found.
 
** Workaround: Edit clang_64/mkspecs/qdevice.pri, comment out the QMAKE_MAC_SDK line.
 
 
* QTBUG-31724: can’t debug into qt libs on Mac (it hasn’t worked since 5.0.0)
 
** Workaround: Compile Qt on your own (configure -developer-build provides both release and debug libs)
 
 
* QTBUG-35211: Apps using Qt WebKit 2.0 are not deployable on Mac OS X (QtWebProcess fails to deploy/start)
 
 
* QTBUG-35317: Qt Quick1 apps that use Qt WebKit 1.0 fail to deploy on Mac OS X
 
 
* QTBUG-35506: Qt Quick Controls applications launched using qmlscene might not display the menubar until they lose and regain focus
 
 
== Android ==
 
 
See &quot;[[Qt_for_Android_known_issues|Qt for Android known issues]]&quot;
 
 
== iOS ==
 
 
See &quot;[[Qt_for_iOS_known_issues|Qt for iOS known issues]]&quot;
 
 
== BlackBerry 10 ==
 
 
See &quot;[[Qt5_Status_on_BlackBerry10 | Qt5 Status on BlackBerry 10]]&quot;
 
 
== QNX ==
 
 
See &quot;[[Qt_Status_on_QNX | Qt Status on QNX ]]&quot;
 
 
== QtWebEngine ==
 
 
* QTBUG-41611: macdeployqt on OSX must be run with a non-empty -executable= command line switch to force <code>loader_path install names in the bundle instead of <code>executable_path.
 
 
* Building on OSX currently requires at least XCode version 5.1. '''This will remain a requirement for Qt WebEngine. Changing it would require significant changes to the Chromium code base that are going against the direction Chromium is being developed.'''
 
 
* Building on Windows currently requires Visual Studio 2013 or Visual Studio 2013 Express Edition '''This will most likely remain a requirement for Qt WebEngine. Changing it would require significant changes to the Chromium code base that are going against the direction Chromium is being developed.'''
 
 
* On Windows, you need to add the gnuwin32/bin directory from your Qt checkout to your PATH when doing shadow builds.
 

Revision as of 12:39, 24 February 2015